For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTCreate a Comment
      • POSTCreate a Like on a Comment
      • DELDelete a Comment
      • DELDelete a like from a comment
      • GETGet a Comment by ID
      • GETGet all the Comments and Replies from a Comment thread
      • GETGet comments and replies
      • GETGet impressions
      • POSTLeave a Reply on a Comment
      • DELMark a Comment as Uncompleted
      • POSTMark completed
      • PUTUpdate a Comment

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceComments

Create a Comment

POST
https://api.frame.io/v2/assets/:asset_id/comments
POST
/v2/assets/:asset_id/comments
1import requests
2
3url = "https://api.frame.io/v2/assets/asset_id/comments"
4
5payload = { "text": "string" }
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.post(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "annotation": "[...]",
3 "completed": false,
4 "completed_at": "2020-07-15T17:30:00.906305Z",
5 "completer_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
6 "has_replies": true,
7 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
8 "like_count": 10,
9 "owner": {
10 "email": "jane@frame.io",
11 "name": "Jane Doe",
12 "account_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
13 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa"
14 },
15 "owner_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb",
16 "text": "This is a comment.",
17 "timestamp": 60
18}
Leave a Comment on an Asset
Was this page helpful?
Previous

Create a Like on a Comment

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequiredformat: "uuid"

Request

Comment to create or update
textstringRequired
The body of the comment.
annotationstringOptional
Serialized list of geometry and/or drawing data. Learn more [here](https://developer.frame.io/docs/workflows-assets/working-with-annotations)
pageintegerOptional

Page number for a comment (documents only).

timestampdoubleOptional

Timestamp for the comment, in frames, starting at 0.

Comments can “global” to an asset in which you don’t provide the timestamp, or if you’re reviewing a “document” like a PDF then you would use page instead of timestamp to identify where the comment belongs.

durationintegerOptional

Used to produce range-based comments, this is the duration measured in frames.

privatebooleanOptional

Set to true to make your comment a “Team-only Comment” that won’t be visible to anonymous reviewers or Collaborators.

pitchintegerOptionalDeprecated

Pitch measurement for the comment (360deg video only).

yawintegerOptionalDeprecated

Yaw measurement for the comment (360deg video only).

Response

Comment success response
annotationstring
completedboolean
completed_atstring
completer_idstringformat: "uuid"
has_repliesboolean
idstringformat: "uuid"
like_countinteger
ownerobject
User model
owner_idstringformat: "uuid"
textstring
timestampinteger

Errors

401
Unauthorized Error
404
Not Found Error

Serialized list of geometry and/or drawing data.

Learn more here